<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DetachReference StructType
 * @subpackage Structs
 */
abstract class DetachReference extends AbstractStructBase
{
    /**
     * The detachFrom
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var \StructType\BaseRef
     */
    public $detachFrom;
    /**
     * Constructor method for DetachReference
     * @uses DetachReference::setDetachFrom()
     * @param \StructType\BaseRef $detachFrom
     */
    public function __construct(\StructType\BaseRef $detachFrom = null)
    {
        $this
            ->setDetachFrom($detachFrom);
    }
    /**
     * Get detachFrom value
     * @return \StructType\BaseRef
     */
    public function getDetachFrom()
    {
        return $this->detachFrom;
    }
    /**
     * Set detachFrom value
     * @param \StructType\BaseRef $detachFrom
     * @return \StructType\DetachReference
     */
    public function setDetachFrom(\StructType\BaseRef $detachFrom = null)
    {
        $this->detachFrom = $detachFrom;
        return $this;
    }
}
